%define   debug_package %{nil}
%define   _unpackaged_files_terminate_build %{nil}

Summary:  Companion library for PCManFM
Name:     libfm-qt-nde
Version:  0.14.1
Release:  120%{?dist}
License:  GPLv2+
URL:      http://www.gd-linux.com
Source0:  libfm-qt-%{version}.tar.gz
BuildRequires: nde-build-tools, cmake, gcc, gcc-c++, nde-lib-devel
BuildRequires: pkgconfig(Qt5Help), pkgconfig(Qt5X11Extras), qt5-qtbase-private-devel
BuildRequires: pkgconfig(x11), pkgconfig(xcb), glib2-devel
BuildRequires: pkgconfig(libfm), kf5-kwindowsystem-devel, libexif-devel, nde-customization
BuildRequires: pkgconfig(libmenu-cache) >= 0.3.0, menu-cache-devel
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}
Requires:  e2fsprogs
Requires:  ntfsprogs
Requires:  xfsprogs
Requires:  dosfstools
Requires:  nde-customization

%description
There has been a software named libfm-qt (1.3.0, from upstream LXQT 
community) in OS repo, so we can not use another libfm-qt (0.14.1) provided by
NDE community directly. Considering that libfm-qt (0.14.1) provides many new 
api that needed by nde-fileman, so we rename the soname of libfm-qt (0.14.1)
to libfm-qt-nde.

Libfm-Qt is a companion library providing components to build
desktop file managers.

%package devel
Summary: Development files for libfm-qt
Requires: libfm-qt-nde = %{version}-%{release}
Requires: menu-cache-devel

%description devel
This package contains libraries and header files for
developing applications that use libfm-qt.

%package l10n
Summary:        Translations for libfm-qt
Requires:       libfm-qt-nde
%description l10n
This package provides translations for the libfm-qt package.



%prep
%autosetup -n libfm-qt-%{version}



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
# defined -DGLIB_GIO_UNIX_INCLUDE_DIR to fix bug "missing: GLIB_GIO_UNIX_INCLUDE_DIR"
    %{cmake_nde} -DPULL_TRANSLATIONS=NO -DGLIB_GIO_UNIX_INCLUDE_DIR=/usr/include/gio-unix-2.0 ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
cp %{_builddir}/libfm-qt-%{version}/src/media.conf %{buildroot}%{_sysconfdir}/tmpfiles.d/
cp %{_builddir}/libfm-qt-%{version}/src/99-udisks2.rules %{buildroot}%{_sysconfdir}/udev/rules.d/

find %{buildroot} -size 0 -delete

# rename soname
pushd %{buildroot}%{_libdir}/
rm -f libfm-qt.so.6 libfm-qt.so
mv libfm-qt.so.6.1.0 libfm-qt-nde.so.6.1.0
ln -s libfm-qt-nde.so.6.1.0 libfm-qt-nde.so.6
ln -s libfm-qt-nde.so.6 libfm-qt-nde.so
popd

mv %{buildroot}%{_includedir}/libfm-qt/ %{buildroot}%{_includedir}/libfm-qt-nde/ 
mv %{buildroot}%{_datadir}/mime/packages/libfm-qt-mimetypes.xml %{buildroot}%{_datadir}/mime/packages/libfm-qt-nde-mimetypes.xml
mv %{buildroot}%{_datadir}/libfm-qt %{buildroot}%{_datadir}/libfm-qt-nde
mv %{buildroot}%{_datadir}/cmake/fm-qt %{buildroot}%{_datadir}/cmake/fm-qt-nde
pushd %{buildroot}%{_datadir}/cmake/fm-qt-nde
mv fm-qt-config.cmake fm-qt-nde-config.cmake
mv fm-qt-targets.cmake fm-qt-nde-targets.cmake
mv fm-qt-config-version.cmake fm-qt-nde-config-version.cmake
mv fm-qt-targets-release.cmake fm-qt-nde-targets-release.cmake
for i in $(ls *.cmake)
do
    sed -i "s/fm-qt/fm-qt-nde/g" ${i}
done
popd
mv %{buildroot}%{_libdir}/pkgconfig/libfm-qt.pc %{buildroot}%{_libdir}/pkgconfig/libfm-qt-nde.pc
sed -i "s/fm-qt/fm-qt-nde/" %{buildroot}%{_libdir}/pkgconfig/libfm-qt-nde.pc
sed -i "s/Requires:.*/Requires: Qt5Widgets Qt5X11Extras/" %{buildroot}%{_libdir}/pkgconfig/libfm-qt-nde.pc

%find_lang libfm-qt --with-qt



%files
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%{_libdir}/libfm-qt-nde.so.6*
%{_datadir}/libfm-qt-nde
%{_sysconfdir}/tmpfiles.d/media.conf
%{_sysconfdir}/udev/rules.d/99-udisks2.rules

%files devel
%{_libdir}/libfm-qt-nde.so
%{_libdir}/pkgconfig/libfm-qt-nde.pc
%{_includedir}/libfm-qt-nde/
%dir %{_datadir}/cmake/fm-qt-nde
%{_datadir}/cmake/fm-qt-nde/*
%{_datadir}/libfm-qt-nde/archivers.list
%{_datadir}/libfm-qt-nde/terminals.list
%{_datadir}/mime/packages/libfm-qt-nde-mimetypes.xml

%files l10n -f libfm-qt.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/libfm-qt-nde/translations



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.14.1-120
- small fix

* Fri Nov 20 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-119
- 修改计算机页面home磁盘的显示逻辑

* Mon Nov 16 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-118
- 远程连接保存密码

* Thu Oct 29 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-117
- 添加获取文档加密图标
- 修复保存文件管理器窗口记录失败的问题

* Thu Oct 29 2020 He Leilei  <he.leilei@zte.com.cn> - 0.14.1-116
- 修改右键菜单样式

* Tue Oct 20 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-115
- 文件管理器添加选中第一个文件接口

* Thu Oct 15 2020 zhou tuan  <zhou.tuan@zte.com.cn> - 0.14.1-114
- 修改计算机页面左侧的系统磁盘显示名称

* Tue Oct 13 2020 zhou tuan  <zhou.tuan@zte.com.cn> - 0.14.1-113
- 修复多分区磁盘卸载/弹出问题

* Mon Oct 12 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-112
- 增加保存文件管理器打开记录功能

* Fri Oct 9 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-111
- 修改文件夹快捷方式打开方式

* Fri Sep 25 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-110
- 修复解析链接路径错误到问题

* Thu Sep 24 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-109
- 收藏成功后，显示收藏成功提示

* Tue Sep 22 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-108
- 修复文件重命名后，对应收藏夹项会自动关联
- 文件名相同收藏夹会修改显示名称
- 删除文件，收藏夹对应收藏项不会删除到问题
- 远程连接根目录不能显示收藏

* Mon Sep 21 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-107
- 修复文件或文件夹无法直接拖动到回收站视图问题(#2823)
- 修复远程服务器拖动文件不是复制问题(#2825)

* Fri Sep 18 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-106
- 添加计算机界面下移动磁盘右键弹出选项

* Thu Sep 17 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-105
- 修复多分区磁盘全部卸载之后不能弹出问题

* Thu Sep 17 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-104
- 修改搜索结果数量显示不正确，搜索结果显示两个相同文件问题
- 收藏夹重命名后收藏项失效的问题

* Wed Sep 16 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-103
- 修复不能打开根目录下bin,sbin,lib,lib64等连接目录问题

* Mon Sep 14 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-102
- 修复概率性不能弹出的问题

* Thu Sep 10 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-101
- 修复远程连接卸载失败问题

* Thu Sep 10 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-100
- 添加汉化

* Wed Sep 09 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-99
- 修复移动磁盘卸载闪退问题

* Wed Sep 09 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-98
- 修复获取复制中文路径乱码问题

* Wed Sep 09 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-97
- 修改计算机界面的文件系统和home不能重命名

* Tue Sep 08 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-96
- 修复拖动复制问题

* Mon Sep 07 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-95
- 删除收藏夹文件删除相对应记录
- 双击链接文件夹，直接打开对应的文件夹

* Mon Sep 07 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-94
- 修复闪退问题

* Thu Sep 03 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-93
- 添加收藏夹功能

* Thu Sep 03 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-92
- 修复新窗口打开，再卸载磁盘之后焦点不正确以及闪退问题

* Wed Sep 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-91
- 修复文件夹内拖动会复制问题(#2720)
- desktop应用粘贴时，如有相同文件显示名也需添加“复件”(#2778)

* Fri Aug 28 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-90
- 修复home图标显示不正确问题

* Thu Aug 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-89
- 修复desktop应用重命名相同的问题(#2724)
- 去掉“连接至服务器”右键中的“在新标签页打开”和“在新窗口中打开”功能(#2739)

* Tue Aug 25 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-88
- 文件管理器添加递归显示文件的功能

* Mon Aug 24 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-87
- 修复应用名有特殊转义字符无法重命名问题(#2683)
- 不支持创建快捷方式时，弹出提示框

* Thu Aug 20 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-86
- 修改创建文件或文件夹不需要弹框(#2630)(#2631)
- 修改shift+delete删除文件按enter键的默认焦点(#2662)

* Thu Aug 20 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-85
- 修复插拔U盘，文件管理器没有及时刷新的问题

* Thu Aug 20 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-84
- 修复卸载或弹出挂载设备焦点错误以及闪退问题

* Wed Aug 19 2020 lv kaiyi  <lv.kaiyi@zte.com.cn> - 0.14.1-83
- 修复文件管理器闪退原因

* Mon Aug 17 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-82
- 修复computer:///下显示home的bug

* Mon Aug 17 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-81
- 在computer:///下添加home的显示

* Mon Aug 17 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-80
- 修复桌面应用快捷方式重命名卡死问题(#2603)
- 修复属性框中desktop文件重命名失败问题(#2599)
- 修复创建快捷方式中文乱码问题
- 恢复快捷方式小图标

* Mon Aug 17 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-79
- 修复文件管理器右键连接到服务闪退，重新打开文件管理器远程连接右键菜单没有卸载功能

* Thu Aug 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-78
- 禁止复制、剪切桌面默认应用文件
- 创建多个快捷方式时不需要弹框提示重复命名

* Thu Aug 13 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-77
- 修复进入磁盘文件夹后，左侧的弹出图标显示不正常问题

* Thu Aug 13 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-76
- 修复拔出移动硬盘，文件管理器闪退问题

* Thu Aug 13 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-75
- 添加网络链接的卸载功能

* Mon Aug 10 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-74
- 不允许桌面默认图标的复制或移动到其它路径
- 添加获取压缩及压缩到的QAction的函数

* Fri Aug 07 2020 zhou tuan <zhou.tuan@zte.com.cn> - 0.14.1-73
- 不允许本地磁盘有卸载和隐藏功能

* Thu Aug 06 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-72
- 补传关于远程连接没记住密码

* Wed Aug 05 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-71
- 远程连接断开后，主动卸载

* Tue Aug 04 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-70
- 修改选中placeview中item是否有效的判断条件

* Mon Aug 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-69
- 屏蔽回收站、计算机中右键菜单的部分无用功能
- 修复压缩成zip的中文乱码问题(#2420)
- 修复回收站右键文件闪退问题(#2461)

* Fri Jul 31 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-68
- 添加远程连接卸载功能

* Fri Jul 31 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-67
- 修改远程连接根目录时显示背景颜色异常，禁止左侧菜单栏拖动

* Fri Jul 31 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.14.1-66
- 记住远程密码

* Thu Jul 30 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-65
- 修复同一个路径下无法进行多次复制问题(#2442)
- 修复复件文件无法打开问题(#2432)
- 修复右键文件属性窗口顶至问题

* Wed Jul 29 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-64
- 修复右键菜单默认打开程序随文件管理器最小化而最小化问题(#2334)

* Tue Jul 28 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-63
- 右键菜单功能顺序调整

* Mon Jul 27 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-62
- 文件管理器远程连接显示在网络栏，我的电脑磁盘列表详细模式显示类型大小问题

* Mon Jul 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-61
- 修复移动文件到文件夹仅生成链接问题

* Thu Jul 23 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-60
- 添加文件管理器路径按钮显示的右键菜单中的功能(1939)
- 修复右键菜单偶尔会有黑边框问题

* Thu Jul 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-59
- ctrl + 右键，文件管理器闪退问题

* Wed Jul 22 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-58
- 修复磁盘设备图标问题

* Mon Jul 20 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-57
- 修复文件管理器弹出磁盘左侧焦点不对的问题

* Thu Jul 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-56
- 修改文件管理器左侧菜单栏图片泛白问题

* Thu Jul 16 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-55
- 文件管理器左侧视图右键菜单添加打开功能
- 文件管理器地址栏右键菜单重写

* Thu Jul 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-54
- 回收站右键菜单添加删除功能

* Wed Jul 15 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-53
- 右键菜单添加自定义菜单,文件管理器详细模式自定义列宽刷新问题


* Wed Jul 15 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-52
- 修复新建分区概率性点击不能进去的问题以及移动硬盘不能弹出问题

* Tue Jul 14 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-51
- 修改个人目录下文件无法重定向问题

* Tue Jul 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-50
- 修复复制文件被删除时”粘贴“还可用问题(#2278)

* Mon Jul 13 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-49
- 修复快速多次双击卸载按钮导致文件管理器闪退的问题

* Mon Jul 13 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-48
- 修改本地磁盘不能卸载以及右键卸载文件管理器闪退的问题

* Mon Jul 13 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-47
- 添加右键菜单中的选中图标

* Fri Jul 10 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-46
- 右键菜单样式修改及添加菜单小图标

* Wed Jul 08 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-45
- 修复文件管理器闪退的问题

* Mon Jul 06 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-44
- 添加右键菜单阴影

* Mon Jul 06 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-43
- 修改点击磁盘列表图片打不开磁盘问题

* Mon Jul 06 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-42
- 修复右键属性窗口随文件管理器窗口最小化而最小化问题
- 修复右键属性在任务栏中的图标不是对应应用图标问题(#2253)

* Mon Jul 06 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-41
- 修复挂载磁盘写权限问题

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-40
- 修改右键菜单样式

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-39
- 修复无法解压.war格式压缩包问题(#2242)

* Fri Jul 03 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-38
- 更改调用系统命名的调用函数

* Fri Jul 03 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-37
- 修改地址栏右键菜单

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-36
- 汉化“By File Group”

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-35
- 修改文件管理器查看子菜单中文命名

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-34
- 汉化文件管理器右键的“查看”

* Thu Jul 02 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-33
- 添加文件管理器右键菜单的“查看”功能

* Thu Jul 02 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-32
- 修改文件管理器与桌面样式

* Wed Jul 01 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-31
- 修复计算机显示多余设备问题

* Wed Jul 01 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-30
- 修复文件管理器不存在所有者、类型、组的排序方式问题(#2223)

* Wed Jul 01 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-29
- 修复无法解压.cbz问题(#2206)

* Tue Jun 30 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-28
- 优化图标右键重命名功能

* Tue Jun 30 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-27
- 修改文件管理器磁盘显示排列，地址栏空间

* Tue Jun 30 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-26
- 修改移动设备弹出图标

* Mon Jun 29 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-25
- 修改磁盘剩余空间显示，快捷方式显示


* Sun Jun 28 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-24
- 修复以管理员身份运行的desktop文件弹出询问框的问题

* Tue Jun 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-23
- 修改桌面样式

* Tue Jun 23 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-22
- 修改Treeview间隔标注，滚动条样式

* Fri Jun 19 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-21
- 修改treeview选中显示背景

* Thu Jun 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-20
- 添加一个桌面图标排序时发射清除固定图标座标的信号

* Thu Jun 18 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-19
- 修改磁盘命名区分大小写

* Wed Jun 17 2020 Zhou Tuan <zhou.tuan@zte.com.cn> - 0.14.1-18
- 添加磁盘重命名功能

* Tue Jun 16 2020 lv kaiyi <lv.kaiyi@zte.com.cn>  - 0.14.1-17
- 文件管理器，文件、磁盘显示布局

* Tue Jun 16 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-16
- 修复文件管理器闪退问题

* Mon Jun 15 2020  Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-15
- 屏蔽图标右键菜单中的“信任这个可执行文件”功能(1007)

* Thu Jun 11 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-14
- 修复“Compress to”无法翻译成中文问题及修改默认打开终端为ndeterminal

* Wed Jun 10 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-13
- 汉化左侧菜单栏

* Mon Jun 08 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-12
- 添加默认压缩为zip的快捷方式(1011)

* Fri Jun 5 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.14.1-11
- 修改文件管理器侧边栏，工具栏以及显示区域相关动态库

* Wed May 27 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-10
- 桌面图标具备按名称、生成时间、文件大小排序功能(1006)

* Thu May 14 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.14.1-9
- 修改NDE依赖关系(984)


